Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel.exps
Class SelectConstructor

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.exps.SelectConstructor

All Implemented Interfaces:
  Serializable

    public class SelectConstructor

extends Object
implements Serializable

Turns parsed queries into selects.

Author:
  Abe White
See Also:
  Serialized Form

Constructor Summary
`SelectConstructor()`

Method Summary
`Select` | `evaluate(ExpContext ctx, Select parent, String alias, QueryExpressions exps, QueryExpressionsState state)` Evaluate the expression, returning a new select and filling in any associated expression state.
`boolean` | `isExtent()` Return true if we know the select to have on criteria; to be an extent.
`void` | `select(Select sel, ExpContext ctx, ClassMapping mapping, boolean subclasses, QueryExpressions exps, QueryExpressionsState state, int eager)` Select the data for this query.
`void` | `setSubselect(Select subselect)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectConstructor

    public SelectConstructor()

Method Detail

### isExtent

    public boolean isExtent()

  Return true if we know the select to have on criteria; to be an extent. Note that even if this method returns false, `evaluate(org.apache.openjpa.jdbc.kernel.exps.ExpContext, org.apache.openjpa.jdbc.sql.Select, java.lang.String, org.apache.openjpa.kernel.exps.QueryExpressions, org.apache.openjpa.jdbc.kernel.exps.QueryExpressionsState)` may still return null if we haven't cached whether the query is an extent yet.

### setSubselect

    public void setSubselect(Select subselect)

### evaluate

    public Select evaluate(ExpContext ctx,
                           Select parent,
                           String alias,
                           QueryExpressions exps,
                           QueryExpressionsState state)

  Evaluate the expression, returning a new select and filling in any associated expression state. Use `select(org.apache.openjpa.jdbc.sql.Select, org.apache.openjpa.jdbc.kernel.exps.ExpContext, org.apache.openjpa.jdbc.meta.ClassMapping, boolean, org.apache.openjpa.kernel.exps.QueryExpressions, org.apache.openjpa.jdbc.kernel.exps.QueryExpressionsState, int)` to then select the data.

  Parameters:
    `ctx` - fill with execution context
    `state` - will be filled with expression state

### select

    public void select(Select sel,
                       ExpContext ctx,
                       ClassMapping mapping,
                       boolean subclasses,
                       QueryExpressions exps,
                       QueryExpressionsState state,
                       int eager)

  Select the data for this query.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.